For the complete documentation index, see llms.txt. This page is also available as Markdown.

Phone models

List phone models

get

List IP phones models.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
get/phone_models

Retrieve profile of firmware template

get

Retrieve phone template profile by it's filename.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
filenamestringRequired

Template XML file name for phone provisioning.

Responses
200

OK

application/json
filenamestringOptional

Template XML file name for phone provisioning.

ringtonesstring[]Optional

A collection of ringtones.

queue_ringtonesstring[]Optional

A collection of queue ringtones.

external_ringtonestring[]Optional

A collection of external ringtones.

date_formatsstring[]Optional

A collection of date formats.

time_formatsstring[]Optional

A collection of time formats.

powerledsstring[]Optional

A collection of time power leds.

backlightsstring[]Optional

A collection of time backlights.

screensaversstring[]Optional

A collection of screensavers.

time_zonesstring[]Optional

A collection of time zones.

codecsstring[]Optional

Settings for the priority of the codecs in this phone. This indicates the first preferred codec.

enable_lldpbooleanOptional

Enable or disable Link Layer Discovery Protocol.

Default: false
enable_vlan_wan_portbooleanOptional

Enable or disable VLAN for WAN Port.

Default: false
wan_port_idinteger · min: 1 · max: 4094Optional

VLAN ID for WAN PORT.

wan_port_priorityinteger · max: 7Optional

VLAN priority for WAN Port.

enable_vlan_pc_portbooleanOptional

Enable or disable VLAN for PC Port.

Default: false
pc_port_idinteger · min: 1 · max: 4094Optional

VLAN ID for PC PORT.

pc_port_priorityinteger · max: 7Optional

VLAN priority for PC Port.

get/phone_models/{filename}

Was this helpful?